一、Windows 环境

1、choco 安装 Dart SDK

建议直接使用 choco 安装,关于 choco 如何使用可以参照 https://chocolatey.org/

官方文档地址:https://dart.dev/get-dart#install-using-chocolatey

安装稳定版本:

choco install dart-sdk

安装开发版本:

 choco install dart-sdk --pre

升级 dart 版本:

choco upgrade dart-sdk

安装完成之后,用户变量写好了,直接运行 dart 命令即可:

1.jpg

二、Mac OS 环境

1、brew 安装 dart

OSX 下通过 brew 安装 dart 非常方便,如果没安装 brew ,可以去 http://brew.sh/

官方文档地址:

安装稳定版本:

brew tap dart-lang/dart
brew install dart

安装开发版本:

brew install dart --devel

更新版本:

brew upgrade dart

切换版本:

brew switch dart 1.24.3
brew switch dart 2.1.0

https://github.com/postbird/DartHelloWorldDemo/blob/master/image.png?raw=true

三、配置 vscode

1、安装插件

dart 开发需要 Dart 插件 和 Code Runner 插件

2.jpg

3.jpg

2、编写代码

void main() {
  print('hello world');
}

3、运行

4.jpg